/*
 * Monster.h
 *
 *  Created on: 19/apr/2012
 *      Author: utente
 */

#ifndef MONSTER_H_
#define MONSTER_H_

#include "Character.h"

class Monster : public Character {
public:
	Monster(int hp=12, int d=10, int f=8);
	virtual ~Monster();

	virtual bool fight(Character& enemy);
	virtual int receiveDamage(int points);

	void flee();

    int getFear() const
    {
        return fear;
    }

    int getTreasure() const
    {
        return treasure;
    }

    void setFear(int fear)
    {
        this->fear = fear;
    }

    void setTreasure(int treasure)
    {
        this->treasure = treasure;
    }

private:
	int treasure;
	int fear;
};

#endif /* MONSTER_H_ */
