/*
 * game.cpp
 *
 *  Created on: 28/mar/2012
 *      Author: bertini
 */


#include "Weapon.h"
#include "Character.h"
#include "Dungeon.h"
#include "Knight.h"
#include "Monster.h"
#include "MeleeWeapon.h"
#include "MissileWeapon.h"
#include "Fang.h"

#include <iostream>

using namespace std;

int main() {

	Character* hero = 0;
	hero = new Knight( 15, 18 );

	Weapon* sword = 0;
	sword = new MeleeWeapon;
	sword->setStrenght( 15 );
	hero->setWeapon( sword );

	const int maxMonsters = 4;
	Character **monsters;
	monsters = new Character*[4];
	for(int i=0; i< 3; i++)
		monsters[i] = new Monster;
	monsters[3] = new Knight; // evil knight

	Weapon* fang = 0;
	fang = new Fang;
	fang->setStrenght( 10 );


	for(int i = 0; i < maxMonsters; i++) {
		monsters[i]->setHP(14);
		monsters[i]->setWeapon( fang );
	}

	int monsterIdx = 0;
	cout << "Numero mostro da attaccare (da 0 a " << (maxMonsters-1) << ")" << endl;
	do {
		cin >> monsterIdx;
	} while( ((monsterIdx>=maxMonsters) || (monsterIdx<0)) );
	const int maxAttacks = 3;
	for(int i = 0; i < maxAttacks; i++) {
		cout << "Attacco eroe... ";
		hero->fight( *monsters[monsterIdx] );
		if( monsters[monsterIdx]->getHP() <= 0 ) {
			cout << "Il mostro  morto !" << endl;
			break;
		}
		cout << "Attacco mostro... ";
		monsters[monsterIdx]->fight( *hero );
		if( hero->getHP() <= 0 ) {
			cout << "L'eroe  morto !" << endl;
			break;
		}
	}

	delete hero;
	delete sword;
	for(int i=0; i<4; i++)
		delete monsters[i];
	delete[] monsters;
	delete fang;
}

